fulfillment-associate-associates-post-one¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25102000534Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
asyncLambda:
jef-fulfillment-associate-post-1
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/fulfillment-associate-associates-post-oneComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-post-1curl payload mode:
json_body
API Gateway Description¶
Function: jef-fulfillment-associate-post-1
Module: jef-fulfillment-associate
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /fulfillment-associate-associates-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-fulfillment-associate-associates
Payload Example:
- pk: associate-001
- gsi_1_pk: store-001
- gsi_1_sk: Juan Dela Cruz
- associate_number: associate-001
- full_name: Juan Dela Cruz
- display_name: Juan
- pin: 1234
- mobile_number: 09171234567
- email: [email protected]
- assigned_store_pk: store-001
- assigned_store_name: Main Store
- is_active: True
- last_login_at:
- notes:
- created_at: 2026-04-29T09:00:00+08:00
- updated_at: 2026-04-29T09:00:00+08:00
- idempotency_key: associate-001-20260429
Payload Schema:
- pk: string-{associate_number}
- gsi_1_pk: string-{assigned_store_pk}
- gsi_1_sk: string-{full_name}
- associate_number: string
- full_name: string
- display_name: string
- pin: string
- mobile_number: string
- email: string
- assigned_store_pk: string
- assigned_store_name: string
- is_active: boolean
- last_login_at: string
- notes: string
- created_at: string
- updated_at: string
- idempotency_key: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "associate-001",
"gsi_1_pk": "store-001",
"gsi_1_sk": "Juan Dela Cruz",
"associate_number": "associate-001",
"full_name": "Juan Dela Cruz",
"display_name": "Juan",
"pin": "1234",
"mobile_number": "09171234567",
"email": "[email protected]",
"assigned_store_pk": "store-001",
"assigned_store_name": "Main Store",
"is_active": "True",
"last_login_at": "",
"notes": "",
"created_at": "2026-04-29T09:00:00+08:00",
"updated_at": "2026-04-29T09:00:00+08:00",
"idempotency_key": "associate-001-20260429"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"associate-001\", \"gsi_1_pk\": \"store-001\", \"gsi_1_sk\": \"Juan Dela Cruz\", \"associate_number\": \"associate-001\", \"full_name\": \"Juan Dela Cruz\", \"display_name\": \"Juan\", \"pin\": \"1234\", \"mobile_number\": \"09171234567\", \"email\": \"[email protected]\", \"assigned_store_pk\": \"store-001\", \"assigned_store_name\": \"Main Store\", \"is_active\": true, \"last_login_at\": \"\", \"notes\": \"\", \"created_at\": \"2026-04-29T09:00:00+08:00\", \"updated_at\": \"2026-04-29T09:00:00+08:00\", \"idempotency_key\": \"associate-001-20260429\"}"
PowerShell curl¶
curl.exe -X POST "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "associate-001", "gsi_1_pk": "store-001", "gsi_1_sk": "Juan Dela Cruz", "associate_number": "associate-001", "full_name": "Juan Dela Cruz", "display_name": "Juan", "pin": "1234", "mobile_number": "09171234567", "email": "[email protected]", "assigned_store_pk": "store-001", "assigned_store_name": "Main Store", "is_active": true, "last_login_at": "", "notes": "", "created_at": "2026-04-29T09:00:00+08:00", "updated_at": "2026-04-29T09:00:00+08:00", "idempotency_key": "associate-001-20260429"}'